Name:    pykde4 
Version: 4.14.3
Release: %mkrel 2
Summary: Python bindings for KDE4 
Summary(de): Python Bindungen für KDE4
Group:   Graphical desktop/KDE4
License: LGPLv2+
URL:     http://developer.kde.org/language-bindings/
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.xz
###Patch1: make_pykde4_respect_sip_flags.diff
###Patch2: pykde4-4.12.3-sip_4_15_5.patch
Patch1: pykde4-4.13.97-use_system_sip_dir.patch
Patch50: pykde4-4.12.3-python_library_realpath.patch
Patch201: add_qt_kde_definitions.diff
Patch202: fix_kpythonpluginfactory_build.diff
Patch203: make_pykde4_respect_sip_flags.diff

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kde-pimlibs-devel >= %{version}
BuildRequires: python-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel
BuildRequires: python3-sip-devel
BuildRequires: python-qt4-devel 
BuildRequires: polkit-qt-devel 
BuildRequires: libboost-devel 
Requires: kdelibs >= %{version}

%description
%{summary}.

#german
%description -l de
%{summary}.

%package devel
Group: Development/Libraries
Summary:  Files needed to build %{name}-based applications
Summary(de): Entwicklerdateien für %{name}
Requires: python-qt4-devel
Requires: %{name} = %{version}

%description devel
%{summary}.

%package akonadi
Group:	Graphical desktop/KDE4
Summary: Akonadi runtime support for %{name} 
Requires: %{name} = %{version}-%{release}
Requires: kde-pimakonadi-console >= %{version} 
Obsoletes: PyKDE4-akonadi < 4.7.97-1 
Provides:  PyKDE4-akonadi = %{version}-%{release}
Provides:  PyKDE4-akonadi = %{version}-%{release}

%description akonadi 
%{summary}.

#german
%description devel -l de
%{summary}. 

%prep
%setup -q
%patch1 -p1 -b .use_system_sip_dir
%patch50 -p1 -b .python_library_realpath
%patch201 -p1 -b .201
%patch202 -p1 -b .202
%patch203 -p1 -b .203

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make


%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install
 
mkdir -p %{buildroot}%{_docdir}
rm -fv %{buildroot}%{_kde_appsdir}/pykde4/examples/*.py?
mv %{buildroot}%{_kde_appsdir}/pykde4 %{buildroot}%{_docdir}/

# rm -fr %buildroot
# %makeinstall_std -C build
# 
# # Copy Python Doc
# %{__mkdir_p} %{buildroot}%_datadir/doc/python-kde4
# %{__cp} -a docs/html/*  %{buildroot}%_datadir/doc/python-kde4/




%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc COPYING COPYING.* AUTHORS 
%{_bindir}/pykdeuic4-2.7
%{python_sitearch}/PyKDE4/
%{python_sitearch}/PyQt4/uic/widget-plugins/kde4.py*
#%dir %{_docdir}/pykde4
%{_kde_libdir}/kde4/kpythonpluginfactory.so

%files devel
%defattr(-,root,root)
%{_kde_bindir}/pykdeuic4
%{python_sitearch}/PyQt4/uic/pykdeuic4.py*
%{_docdir}/pykde4/examples/
%{_kde_datadir}/sip/PyKDE4/

%changelog
* Tue Jul 21 2015 pp <pp> 4.14.3-2pclos2015
- rebuild on 15.04.3

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Thu Jul 17 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

* Wed Mar 05 2014 pinoc <vogtpet at gmail.com> 4.12.3-1pclos2014
- 4.12.3

* Tue Jan 07 2014 pinoc <vogtpet at gmail.com> 4.11.5-1pclos2014
- 4.11.5

* Wed Nov 06 2013 pinoc <vogtpet at gmail.com> 4.11.3-1pclos2013
- 4.11.3

* Wed Aug 14 2013 billybot <billybot> 4.10.5-2pclos2013
- update for python 2.7

* Tue Jul 2 2013 pinoc <vogtpet at gmail.com> 4.10.5-1pclos2013
- 4.10.5

* Tue Jun 5 2013 pinoc <vogtpet at gmail.com> 4.10.4-1pclos2013
- 4.10.4

* Mon Mar 11 2013 pinoc <vogtpet at gmail.com> 4.10.1-1pclos2013
- 4.10.1

* Tue Jan 15 2013 pinoc <vogtpet at gmail.com> 4.9.5-1pclos2013
- 4.9.5

* Fri Jan 04 2013 pinoc <vogtpet at gmail.com> 4.9.2-2pclos2013
- 4.9.2
- renamed spec-file
- added polkit-qt-devel and libboost-devel as BuildRequires-dependency
- added patch from TerryN

* Sat May 05 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.3-1_archie_2012
- 4.8.3

* Sun Apr 15 2012 Neal <nealbrks0 at gmail dot com> 4.8.2-1pclos2012
- process

* Sun Apr 15 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.2-1_archie_2012
- 4.8.2

* Tue Feb 21 2012 Neal <nealbrks0 at gmail dot com> 4.8.0-1pclos2012
- process

* Sun Feb 19 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 4.8.0-1_archie_2011
- Checked build for x86_64

* Sat Feb 18 2012 leiche <meisssw01 at gmail.com> 4.8.0-1pclos2012
- 4.8.0

